import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

import '../view_model/custom_controller.dart';

class CustomWebView extends StatefulWidget {
  final CustomController customController;

  const CustomWebView({super.key, required this.customController});

  @override
  State<StatefulWidget> createState() {
    return CustomWebViewState();
  }
}

class CustomWebViewState extends State<CustomWebView> {
  @override
  void initState() {
    super.initState();
    widget.customController.bindState(this);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: widget.customController.appBar,
      body: ListenableBuilder(
        listenable: widget.customController,
        builder: (context, child) {
          return WebViewWidget(controller: widget.customController.controller);
        },
      ),
    );
  }
}
